%define upstream_name    PerlIO-Layers
%define upstream_version 0.011

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PerlIO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(PerlIO)
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
Perl's filehandles are implemented as a stack of layers, with the
bottom-most usually doing the actual IO and the higher ones doing
buffering, encoding/decoding or transformations. PerlIO::Layers allows you
to query the filehandle's properties concerning there layers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.11.0-9.mga6
+ Revision: 1031975
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.11.0-8.mga6
+ Revision: 957882
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.11.0-7.mga6
+ Revision: 845120
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.11.0-6.mga6
+ Revision: 841810
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.11.0-5.mga5
+ Revision: 744344
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.11.0-4.mga5
+ Revision: 733257
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.11.0-3.mga5
+ Revision: 685957
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.11.0-2.mga5
+ Revision: 631600
- Rebuild for perl 5.20

* Thu Mar 13 2014 jquelin <jquelin> 0.11.0-1.mga5
+ Revision: 602997
- update to 0.011

* Sat Oct 19 2013 umeabot <umeabot> 0.10.0-4.mga4
+ Revision: 524931
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.10.0-3.mga4
+ Revision: 431723
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 371787
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 kharec <kharec> 0.10.0-1.mga3
+ Revision: 254016
- update to 0.010

* Wed May 30 2012 jquelin <jquelin> 0.8.0-2.mga3
+ Revision: 251062
- rebuild for perl 5.16

* Sun Dec 11 2011 kharec <kharec> 0.8.0-1.mga2
+ Revision: 180640
- imported package perl-PerlIO-Layers


* Sun Dec 11 2011 cpan2dist 0.008-1mga
- initial mageia release, generated with cpan2dist
